Get Payment Methods
curl -X GET "https://api.example.com/v1/api/v1/payment-methods/?currency=null" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.example.com/v1/api/v1/payment-methods/?currency=null"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.example.com/v1/api/v1/payment-methods/?currency=null", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
)
func main() {
req, err := http.NewRequest("GET", "https://api.example.com/v1/api/v1/payment-methods/?currency=null", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.example.com/v1/api/v1/payment-methods/?currency=null')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"success": true,
"data": [
{
"name": "John Doe",
"method_code": "example_string",
"min_sum": "example_string",
"max_sum": "example_string",
"logo_url": "null",
"payment_time": 42,
"currency": {
"code": "example_string",
"name": "John Doe",
"symbol": "example_string"
}
}
]
}
{
"error": "Unprocessable Entity",
"message": "The request was well-formed but contains semantic errors",
"code": 422,
"details": [
{
"field": "password",
"message": "Password must be at least 8 characters long"
}
]
}
GET
/api/v1/payment-methods/
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Merchant API Key.
Query Parameters
currencystring
Filter by currency code, e.g. UAH, EUR. Case-insensitive.
Responses
successboolean
Requireddataarray
Requirednamestring
Requiredmethod_codestring
Requiredmin_sumstring
Requiredmax_sumstring
Requiredlogo_urlstring
payment_timeinteger
Requiredcurrencyobject
Requiredcodestring
Requirednamestring
Requiredsymbolstring
Requireddetailarray
locstring[]
Requiredmsgstring
Requiredtypestring
RequiredWas this page helpful?
Last updated Feb 26, 2026
Built with Documentation.AI